Get event details
curl --request GET \
--url https://api.example.com/api/event/{slug}import requests
url = "https://api.example.com/api/event/{slug}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/event/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/event/{slug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/event/{slug}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/event/{slug}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/event/{slug}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"event_id": "<string>",
"primary_source": "<string>",
"event_title": "<string>",
"event_icon": "<string>",
"event_slug": "<string>",
"end_date": "<string>",
"is_closed": true,
"sources": [
"<string>"
],
"descriptions": {},
"volume": 123,
"transactions": 123,
"outcomes": [
{
"outcome_group_title": "<string>",
"icon": "<string>",
"best_yes_price": 123,
"best_yes_source": "<string>",
"best_no_price": 123,
"best_no_source": "<string>",
"end_date": "<string>",
"is_active": false,
"market_status": "<string>",
"resolved_result": "<string>",
"closed_reason": "<string>",
"is_date_market": true,
"market_date": "<string>",
"sort_ts": 123,
"polymarket_yes": 123,
"polymarket_yes_token": "<string>",
"polymarket_no": 123,
"polymarket_no_token": "<string>",
"polymarket_market_id": "<string>",
"polymarket_condition_id": "<string>",
"polymarket_is_active": true,
"opinion_yes": 123,
"opinion_yes_token": "<string>",
"opinion_no": 123,
"opinion_no_token": "<string>",
"opinion_market_id": "<string>",
"opinion_condition_id": "<string>",
"opinion_is_active": true,
"probable_yes": 123,
"probable_yes_token": "<string>",
"probable_no": 123,
"probable_no_token": "<string>",
"probable_market_id": "<string>",
"probable_condition_id": "<string>",
"probable_is_active": true,
"predictfun_yes": 123,
"predictfun_yes_token": "<string>",
"predictfun_no": 123,
"predictfun_no_token": "<string>",
"predictfun_market_id": "<string>",
"predictfun_condition_id": "<string>",
"predictfun_is_active": true,
"limitless_yes": 123,
"limitless_yes_token": "<string>",
"limitless_no": 123,
"limitless_no_token": "<string>",
"limitless_market_id": "<string>",
"limitless_condition_id": "<string>",
"limitless_is_active": true,
"cached_orderbook": {
"yes_ask": 123,
"yes_bid": 123,
"no_ask": 123,
"no_bid": 123,
"yes_price": 123,
"no_price": 123,
"yes": {
"asks": [
[
123,
123
]
],
"bids": [
[
123,
123
]
]
},
"no": {
"asks": [
[
123,
123
]
],
"bids": [
[
123,
123
]
]
}
}
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}events
Get event details
Returns full details for one event by event_slug.
Use this endpoint to open an event page and get:
- event title, icon, slug, end date and data sources;
- outcome list with current prices across available platforms;
- volume and transactions summary;
- per-outcome market ids and tokens that can be reused in
/api/market/{market_id}and/api/orderbook.
slug is the event identifier used in event links and in responses of list endpoints.
GET
/
api
/
event
/
{slug}
Get event details
curl --request GET \
--url https://api.example.com/api/event/{slug}import requests
url = "https://api.example.com/api/event/{slug}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/event/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/event/{slug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/event/{slug}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/event/{slug}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/event/{slug}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"event_id": "<string>",
"primary_source": "<string>",
"event_title": "<string>",
"event_icon": "<string>",
"event_slug": "<string>",
"end_date": "<string>",
"is_closed": true,
"sources": [
"<string>"
],
"descriptions": {},
"volume": 123,
"transactions": 123,
"outcomes": [
{
"outcome_group_title": "<string>",
"icon": "<string>",
"best_yes_price": 123,
"best_yes_source": "<string>",
"best_no_price": 123,
"best_no_source": "<string>",
"end_date": "<string>",
"is_active": false,
"market_status": "<string>",
"resolved_result": "<string>",
"closed_reason": "<string>",
"is_date_market": true,
"market_date": "<string>",
"sort_ts": 123,
"polymarket_yes": 123,
"polymarket_yes_token": "<string>",
"polymarket_no": 123,
"polymarket_no_token": "<string>",
"polymarket_market_id": "<string>",
"polymarket_condition_id": "<string>",
"polymarket_is_active": true,
"opinion_yes": 123,
"opinion_yes_token": "<string>",
"opinion_no": 123,
"opinion_no_token": "<string>",
"opinion_market_id": "<string>",
"opinion_condition_id": "<string>",
"opinion_is_active": true,
"probable_yes": 123,
"probable_yes_token": "<string>",
"probable_no": 123,
"probable_no_token": "<string>",
"probable_market_id": "<string>",
"probable_condition_id": "<string>",
"probable_is_active": true,
"predictfun_yes": 123,
"predictfun_yes_token": "<string>",
"predictfun_no": 123,
"predictfun_no_token": "<string>",
"predictfun_market_id": "<string>",
"predictfun_condition_id": "<string>",
"predictfun_is_active": true,
"limitless_yes": 123,
"limitless_yes_token": "<string>",
"limitless_no": 123,
"limitless_no_token": "<string>",
"limitless_market_id": "<string>",
"limitless_condition_id": "<string>",
"limitless_is_active": true,
"cached_orderbook": {
"yes_ask": 123,
"yes_bid": 123,
"no_ask": 123,
"no_bid": 123,
"yes_price": 123,
"no_price": 123,
"yes": {
"asks": [
[
123,
123
]
],
"bids": [
[
123,
123
]
]
},
"no": {
"asks": [
[
123,
123
]
],
"bids": [
[
123,
123
]
]
}
}
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
